CONDOR_ROUTER_RM(1)

NAME
condor_router_rm - HTCondor Manual

Remove jobs being managed by the HTCondor Job Router

SYNOPSIS

condor_router_rm [router_rm options ] [condor_rm options ]

DESCRIPTION

condor_router_rm is a script that provides additional features above those offered by condor_rm, for removing jobs being managed by the HTCondor Job Router.

The options that may be supplied to condor_router_rm belong to two groups:

•   router_rm options provide the additional features

•   condor_rm options are those options already offered by condor_rm. See the condor_rm manual page for specification of these options.

OPTIONS

-constraint X
    (router_rm option) Remove jobs matching the constraint specified by X

-held
    (router_rm option) Remove only jobs in the hold state

-idle
    (router_rm option) Remove only idle jobs

-route name
    (router_rm option) Remove only jobs on specified route

EXIT STATUS

condor_router_rm will exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

AUTHOR
HTCondor Team

COPYRIGHT
1990-2023, Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI, US. Licensed under the Apache License, Version 2.0.